Generated
Security
Skitflow API reference for Security endpoints.
Authorization
Authorization AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/security.create" \ -H "Content-Type: application/json" \ -d '{ "applicationId": "string", "username": "string", "password": "string" }'Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization AuthorizationBearer <token>
In: header
Query Parameters
securityId*string
Response Body
application/json
application/json
curl -X GET "https://example.com/security.one?securityId=string"Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/security.delete" \ -H "Content-Type: application/json" \ -d '{ "securityId": "string" }'Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/security.update" \ -H "Content-Type: application/json" \ -d '{ "securityId": "string", "username": "string", "password": "string" }'Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}